local modname = minetest.get_current_modname()

local final_drops = {
	max_items = 4,
	items = {
		{ items = { modname .. ":soy" } },
		{ items = { modname .. ":soy 2" }, rarity = 2 },
		{ items = { modname .. ":soy 4" }, rarity = 3 },
		{ items = { modname .. ":soy" } },
		{ items = { modname .. ":soy 5" }, rarity = 6 },
	},
}

mcl_vegan.register_basic_plant(modname, "soy", {
	seed = "soy",
	descriptions = {
		crop = "Soy Plant",
	},
	drops = final_drops,
	growth_interval = 15,
	growth_chance = 20,
	can_forage = true,
})



local function reg_tofu_block (name, desc, def)

	bouncy = def.bouncy or 40

	minetest.register_node(modname .. ":" .. name, {
		description = desc,
		paramtype = "none",
		walkable = true,
		drawtype = "normal",
		tiles = { "mcl_soy_" .. name .. ".png" },
		groups = {
			dig_immediate = 2,
			bouncy = bouncy,
			fall_damage_add_percent = -80,
			deco_block = 1,
		},
		_mcl_blast_resistance = 1,
		_mcl_hardness = 1,
	})
end

reg_tofu_block("tofu_block_raw", "Block of Raw Tofu", {
	bouncy = 40,
})
reg_tofu_block("tofu_block_cooked", "Block of Tofu", {
	bouncy = 60,
})
